require "import"
import "android.preference.PreferenceManager"

local prefs = PreferenceManager.getDefaultSharedPreferences(service)
local edit = prefs.edit()

function changeOptionValue(var_name, value)
  edit.putString(var_name, value)
  edit.apply()
end

local currentStatus = prefs.getString("gesture_package", "المخطط الأول")

if currentStatus == "المخطط الأول" then
  changeOptionValue("gesture_package", "المخطط الثاني")
  service.loadGesturePackage("المخطط الثاني")
  service.postSpeak(200,"المخطط الثاني")
  return true

 elseif currentStatus == "المخطط الثاني" then
  changeOptionValue("gesture_package", "المخطط الثالث")
  service.loadGesturePackage("المخطط الثالث")
  service.postSpeak(200,"المخطط الثالث")
  return true

 elseif currentStatus == "المخطط الثالث" then
  changeOptionValue("gesture_package", "المخطط الأول")
  service.loadGesturePackage("المخطط الأول")
  service.postSpeak(200,"المخطط الأول")
  return true
end